
<img id="background-image" [src]="bannerImg">
<div class="row">

  <h3 id="text-center" style="font-family: 'Press Start 2P', cursive;">Select your Pokemon and opponent</h3>
  <div class="row">

          <div id="avatarDivBSP"class="rounded-circle col-13">
              <img type = "button" id="avatarPic" [src]="userAvatar" alt="Avatar" class="nav-link active" data-bs-toggle="modal" data-bs-target="#pokemonModal">
          </div>
          
          <div id="avatarDivBSO"class="rounded-circle col-13">
              <!-- TODO CHANGE TO CURRENT OR DEFAULT OPPONENT AVATAR -->
              <img type = "button" id="oppPic" src="{{oppSprite}}" alt="Avatar" class="nav-link active" data-bs-toggle="modal" data-bs-target="#opponentModal">
          </div>
  </div>
  <!-- <a type="button" id="fight-btn" class="btn btn-danger" routerLink="/battleground" >READY</a> -->
  <a type="button" *ngIf="pokeChoice.id>0 && oppChoice.id>0 " id="fight-btn" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#battleModal" >READY</a>
</div>
<div id="pokemonModal"class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" style="font-family: 'Press Start 2P', cursive;">Choose Your Pokemon</h5>
        </div>
        <div class="modal-body">
            <table style="width:100%">
              <tr class="table-head">
                
                <th>Pokemon</th>
                <th>Move 1</th>
                <th>Move 2</th>
                <th>Move 3</th>
                <th>Move 4</th>
              </tr>
              
              <tr *ngFor="let poke of pokesInfo;index as i;" class="table-rows" >
                  <td id = "pokemonTag{{poke.id}}" class="btn" (click)="choosePokemon(i)" > <img type="radio" id="avatarOptions"   src="{{poke.opp_sprite}}" ><p>{{poke.name}}</p></td>

                  <td>{{poke?.move1?.name}}</td>
                  <td>{{poke?.move2?.name}}</td>
                  <td>{{poke?.move3?.name}}</td>
                  <td>{{poke?.move4?.name}}</td> 
              </tr>           
            </table>         
        </div>
        
        <div style ="height: 8vw;" class="modal-footer">
          <label for="avatarOptions" style="font-family: 'Press Start 2P', cursive;">Selected Pokemon:</label>
         <img id="avatarOptions" src="{{pokeChoice.opp_sprite}}" style="margin-right:15vw;">
          <button id="saveButton"type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#pokemonModal">Close</button>
        </div>
      </div>
    </div>
</div>

<div id="opponentModal"class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog " role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" style="font-family: 'Press Start 2P', cursive;">Choose Your Opponent</h5>
        </div>
        <div class="modal-body">

          <table style="width:100%">
            <tr>
              <th style="font-family: 'Press Start 2P', cursive;">Opponent</th>
              <th style="font-family: 'Press Start 2P', cursive;">Pokemon</th>
              <!-- <th></th>
              <th></th> -->
            </tr>
            
            <tr *ngFor="let opp of oppsInfo;index as i;"  (click)="chooseOpponent(i)"  >
              <td class="btn" style="font-family: 'Press Start 2P', cursive; text-align: center;">
                <img type="radio" id="avatarOptions"   [src]="trSprites[i%3]" >
                <p>{{opp.name}}</p>
              </td>
                <td *ngFor="let poke of opp?.pokemon"  ><img src="{{poke?.opp_sprite}}" >  </td>
            </tr>           
          </table>     

        </div>
        <div style ="height: 8vw;" class="modal-footer">
          <!-- <label for="avatarOptions" style="font-family: 'Press Start 2P', cursive;">{{oppChoice.name}}</label> -->
         <img id="avatarOptions" src="{{oppSprite}}" style="margin-right:15vw;">
          <button id="saveButton"type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#opponentModal">Close</button>
        </div>
      </div>
    </div>
</div>

<app-battleground  [playerPokemon]="pokeChoice" [opponentPokemon]="oppChoice"></app-battleground>


